package CHAPTER06;

//People 클래스 (생성자 오버로딩 및 this() 호출)
class People2 {
	People2() {
		this(30); // 다른 생성자 호출 (this 키워드 사용)
		System.out.println("기본 생성자 호출");
	}

	// 매개변수를 받는 생성자
	People2(int age) {
		System.out.println("매개변수 있는 생성자 호출: " + age + "세");
	}
}

public class C6_08_ConstructorThis {
	public static void main(String[] args) {
		// People 객체 생성 → 기본 생성자가 호출되면서 내부적으로 매개변수 생성자도 호출됨
		People2 obj = new People2();
	}
}
